<template>
  <div class="menuhome" :style="{width: pageWidth, height:pageHeight}">
    <v-sidebar :id="roleId"></v-sidebar>
    <div class="home-content">
        <transition name="move" mode="out-in">
          <router-view></router-view>
        </transition>
    </div>
  </div>
</template>

<script>
  import vSidebar from './sidebar.vue';
  export default {
    data(){
      return{
        roleId: 1,
        pageWidth: 1000,
        pageHeight: 900,
      }
    },
    components:{
      vSidebar
    },
    created(){
     
    },
    mounted(){
      let num = $('.headerPage').height() + $('.navPage').height()
      console.log(num)
      console.log($(document.body).height())
      this.pageWidth = $(document.body).width()+'px'
      this.pageHeight = parseInt($(document.body).height() - num) +'px'
      console.log(this.pageHeight)

    },
    methods: {
   
    }
  }
</script>
<style scoped lang="less">
.menuhome{
  overflow: hidden;
  background: #F1F1F1;
  .home-content{
    margin-left: 13%;
  }
}
</style>
